Name:		libxmlrow
Version: 	0.2
Release:	7.6
License: 	GPL
Group: 		Multimedia
Summary: 	libxmlrow is library written to represent database rows
URL: 		http://tangent.org/578/libxmlrow.html
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:  glibc-devel libgcc gcc gcc-c++ 
BuildRequires:  pkgconfig 
BuildRequires:  libxml2-devel >= 2.6.29

%description
libxmlrow is library written to represent database rows. 
It uses a very simple XML format. It was designed to create a 
neutral format that could then be read by multiple languages. 
Today it is used by the HTTP Services, AWS, and the Memcache engines for MySQL.

%prep
%setup -n %{name}-%{version}

%configure

%build
%__make

%makeinstall

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf ../file.list.%{name}


%files -f ../file.list.%{name}

%changelog
* Thu Nov 11 2007 Carsten Schoene <cs@linux-administrator.com>
- Initial Package, version 0.2
